package eu.eudat.logic.services.operations;

import eu.eudat.logic.builders.BuilderFactory;
import eu.eudat.service.remotefetcher.RemoteFetcherService;
import org.springframework.context.ApplicationContext;

/**
 * Created by ikalyvas on 3/1/2018.
 */
public interface OperationsContext {

    DatabaseRepository getDatabaseRepository();

    ApplicationContext getApplicationContext();

    BuilderFactory getBuilderFactory();

    RemoteFetcherService getRemoteFetcher();

//    FileStorageService getFileStorageService();

//    ElasticRepository getElasticRepository();
}
