package eu.eudat.commons.types.dmpblueprint;

import eu.eudat.commons.types.xml.XmlBuilder;
import eu.eudat.commons.types.xml.XmlSerializable;
import jakarta.xml.bind.annotation.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import java.util.LinkedList;
import java.util.List;

@XmlRootElement(name = "root")
@XmlAccessorType(XmlAccessType.FIELD)
public class DefinitionEntity {
	@XmlElementWrapper(name = "sections")
	@XmlElement(name = "section")
	private List<SectionEntity> sections;

	public List<SectionEntity> getSections() {
		return sections;
	}
	public void setSections(List<SectionEntity> sections) {
		this.sections = sections;
	}
}
