package eu.eudat.service.remotefetcher.config.entities;

import java.util.List;

import eu.eudat.service.remotefetcher.config.UrlConfiguration;
import eu.eudat.service.remotefetcher.criteria.FetchStrategy;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;

public class ValidationUrls extends GenericUrls {
	
	List<UrlConfiguration> urls;
    FetchStrategy fetchMode;

    public List<UrlConfiguration> getUrls() {
        return urls;
    }

    @XmlElementWrapper
    @XmlElement(name = "urlConfig")
    public void setUrls(List<UrlConfiguration> urls) {
        this.urls = urls;
    }

    public FetchStrategy getFetchMode() {
        return fetchMode;
    }

    @XmlElement(name = "fetchMode")
    public void setFetchMode(FetchStrategy fetchMode) {
        this.fetchMode = fetchMode;
    }


}
